# Logging API



<EndpointIndex
  names={['fetchLogsList', 'fetchLogs']}
  titles={{
  	fetchLogsList: 'Fetch a List of Logs',
  	fetchLogs: 'Fetch Logs for a Request',
  }}
/>

Fetch a List of Logs [#fetch-a-list-of-logs]

<ApiEndpoint name="fetchLogsList" title="Fetch a List of Logs" />

<ApiSchema name="PluginLogsListResponse" />

<ApiSchema name="PluginLogsMetadata" />

<ApiSchema name="ObjectReference" />

Fetch Logs for a Request [#fetch-logs-for-a-request]

<ApiEndpoint name="fetchLogs" title="Fetch Logs for a Request" />


## API Reference

GET /plugin/{tenantLocator}/logs/list — fetchLogsList
Tags: logs-controller
Permissions: read, list
Parameters:
  tenantLocator (uuid, path, required)
  requestId (ulid, query)
  objectLocator (ulid, query)
  createdAtMin (datetime, query)
  createdAtMax (datetime, query)
  offset (integer, query)
  count (integer, query)
  extended (boolean, query) — When false, returns a bare array.
Responses:
  200 PluginLogsListResponse — OK

GET /plugin/{tenantLocator}/logs/{locator} — fetchLogs
Tags: logs-controller
Permissions: read
Parameters:
  tenantLocator (uuid, path, required)
  Accept-Encoding (string, header)
  locator (ulid, path, required)
Responses:
  200 — OK

PluginLogsListResponse
Properties:
  listCompleted (boolean, required)
  items (PluginLogsMetadata[], required)

PluginLogsMetadata
Properties:
  locator (ulid, required)
  createdAt (datetime, required)
  pluginType (Enum delinquencyEvent | documentDataSnapshot | documentSelection | preCommit | rating | renewal | underwriting | validation, required)
  requestId (ulid, required)
  objectReferences (ObjectReference[], required)

ObjectReference
Properties:
  locator (ulid, required)
  type (string, required)